+ Responder ao Tópico



  1. #1

    Padrão Erro ao compilar o PHP5 - ajuda!!

    Olá pessoal,

    estou compilando o apache2+php5, só que est´[a me dando o seguinte erro.

    Já compilei o apache e está funcionando blz, mas o php5 está me dando o seguinte erro:

    Sorry, I cannot run apxs. Possible reasons follow:

    1. Perl is not installed
    2. apxs was not found. Try to pass the path using --with-apxs2=/path/to/apxs
    3. Apache was not built using --enable-so (the apxs usage page is displayed)

    The output of /usr/local/apache2/bin/apxs follows:
    cannot open /var/log/apache2/build/config_vars.mk: No such file or directory at /usr/local/apache2/bin/apxs line 218.
    configure: error: Aborting
    [email protected]:/opt/php-5.1.4# vi /usr/local/apache2/bin/apxs
    reading /usr/local/apache2/bin/apxs

    Isso é o que tem no arquivo "apxs" line 218:

    sub get_config_vars{
    my ($file, $rh_config) = @_;

    open IN, $file or die "cannot open $file: $!"; => line 218
    while (<IN>){
    if (/^\s*(.*?)\s*=\s*(.*)$/){
    $rh_config->{$1} = $2;
    }
    }
    close IN;
    }


    Alguém pode me ajudar?

  2. #2

    Padrão Re: Erro ao compilar o PHP5 - ajuda!!

    o erro ja esta te dizendo alguns informações relevantes...
    como:

    1. Perl is not installed
    2. apxs was not found. Try to pass the path using --with-apxs2=/path/to/apxs
    3. Apache was not built using --enable-so (the apxs usage page is displayed)

    Qual distro vc esta usando ??
    :-)



  3. #3

    Padrão Re: Erro ao compilar o PHP5 - ajuda!!

    Estou usando "slackware"

    Já tenho o perl instalado e compilei o apache2 com --enable-so. O caminho indica do "--with-apxs2=/path/to/apxs" existe e também possui o arquivo.

  4. #4

    Padrão Re: Erro ao compilar o PHP5 - ajuda!!

    Passe toda linha de configuração que você está usando e experimente executar o "apxs" na mão e verificar se não vai dar erro.